Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.upgrade
Class UpgradeActionError

    public interface class UpgradeActionError

A non-fatal error reported by an UpgradeAction.

(Unpublished)

Method Summary
`java.lang.String` | `getDescription()` Gets a description of the error that occurred.
`java.util.Date` | `getErrorPosted()` Gets the time at which the error was posted.
`java.lang.String` | `getLocation()` Gets a description of the data on which the error occurred.
`java.lang.String` | `getOperation()` Gets a description of the operation on which the error occurred.

Method Detail

### getOperation

    java.lang.String getOperation()
                                  throws IfsException

  Description copied from interface: `UpgradeActionError`
  Gets a description of the operation on which the error occurred.

  The value returned is action-specific, for example "`UPDATE odmm_contentstore`".

  Returns:
    the operation, or null if inapplicable
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getLocation

    java.lang.String getLocation()
                                 throws IfsException

  Description copied from interface: `UpgradeActionError`
  Gets a description of the data on which the error occurred.

  The value returned is action-specific, for example "`ID=3892`".

  Returns:
    the data, or null if inapplicable
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDescription

    java.lang.String getDescription()
                                    throws IfsException

  Description copied from interface: `UpgradeActionError`
  Gets a description of the error that occurred.

  Returns:
    a description of the error, or null if unknown
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getErrorPosted

    java.util.Date getErrorPosted()
                                  throws IfsException

  Description copied from interface: `UpgradeActionError`
  Gets the time at which the error was posted.

  Returns:
    the time
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD